@import "avenir_lt";
@import "variables";

.weather-displays {
  display: flex;
  flex-wrap: nowrap;
  width: 100vw;
  height: 100vh;
  overflow-x: scroll;
  scroll-snap-type: x mandatory;

  @media (max-width: $single-screen-bp) {
    width: 200vw;
  }

  .weather-display {
    color: white;
    width: 50%;
    height: 100%;
    font-size: 3vw;
    text-align: center;
    scroll-snap-align: start;

    @media (max-width: $single-screen-bp) {
      width: 100%;
      font-size: 5.5vw;
    }

    @media (min-width: 500px) { // 0.06 * x = 32pt ==> x = 533.3
      font-size: 2rem;
    }

    &:first-of-type {
      background: $green;
    }

    &:last-of-type {
      background: $yellow;
    }

    .main-content {
      position: relative;
      top: calc(45% - 7vh - 25px);

      @media (max-height: 900px) {
        top: calc(45% - 16vh - 25px);
      }

      @media (max-height: 600px) {
        top: calc(45% - 21vh - 25px);
      }
    }

    .location {
      font-size: 2em;
      font-weight: 300;
			opacity: 0;
			animation: land 800ms 600ms ease-in-out forwards;
    }

    hr {
      border: none;
      height: 2px;
      background-color: white;
      width: 28vw;
      max-width: 150px;
      margin: 0 auto 30px;
			opacity: 0;
			animation: land 800ms 600ms ease-in-out forwards;

      @media (max-width: 500px) {
        margin: 0 auto 10%;
      }
    }

    .temperature {
      font-family: "Avenir LT Std Medium", sans-serif;
      font-size: 4em;
			display: inline-block;
			opacity: 0;
			animation: land 1s ease-in-out forwards;
    }

    .current-stats > div {
      font-size: 1em;
      display: flex;
      justify-content: center;

      .humidity,
      .pressure {
        margin: 0 20px 20px;
				display: inline-block;
				opacity: 0;

        @media (max-width: $single-screen-bp) {
          margin: 0 12px 20px;
        }
      }

			.humidity {
				animation: land 1s 200ms ease-in-out forwards;
			}

			.pressure {
				animation: land 1s 400ms ease-in-out forwards;
			}
    }

    .updated {
      font-size: 0.65em;
      position: absolute;
      bottom: 7vh;
      display: flex;
      justify-content: center;
      width: 50vw;
			opacity: 0;
			animation: fadeIn 1s 2s ease-in-out forwards;

      @media (max-width: $single-screen-bp) {
        width: 100vw;
      }
    }
  }
}

.icon-sm {
  height: 23px;

  @media (max-width: $single-screen-bp) {
    height: 0.7em;
  }
}

::-webkit-scrollbar {
  display: none;
}

@keyframes land {
	0%   { opacity: 0;
				transform: translateY(-30px); }
	100% { opacity: 1;
		 		 transform: translateY(0); }
}

@keyframes fadeIn {
	0%   { opacity: 0; }
	100% { opacity: 1; }
}

@import "header";
